Page MenuHomePhabricator

Clearing a search should not trigger the search popover
Closed, InvalidPublic

Description

Finding

Users often clear out their search in order to return to the default state (no search entered), it can be frustrating and hard for users to clear out their search currently as clicking on the 'x' opens the search popover and does not always guarantee that the search is cleared

Example video: http://www.usertesting.com/videos/PQLEnCR4oSlQx4JEqjQ-5A/clips/1?note_id=clip-1235111&shared=xy_2PVxh

Suggestion

Tapping on the 'x' in the search field when the overly isn't open should clear the search without opening the search overlay / activating the text field.
Tapping on the search string or search icon should trigger the search overlay / activate the text field.

Event Timeline

cmadeo created this task.Apr 25 2017, 9:42 PM
JoeWalsh added a comment.EditedApr 28 2017, 5:09 PM

I don't think we should override the default behavior of this button since it's a standard control. As a user, I would expect its behavior to be consistent. Also, this behavior is desired when I actually want to clear the search and enter a new one.

Looking at the video, it seems the problem stemmed from having the search stick around after the user tapped the "center on my location" button, which should be fixed by https://phabricator.wikimedia.org/T163855. Were there other examples of confusion around clearing? If we do need a solution that clears without searching, I think some sort of custom UI would be better than altering the behavior of the default control.

@JoeWalsh Thanks for sharing this, I didn't see it this way before but I agree with you. The majority of confusion around clearing search was related to users returning back to their original location, although as you can see from the video above there still seems to be some stickiness around clearing a search without inputing a new search term. At the very least, it'd be great to fix the behavior of the center on my location button and the issues around clearing search without inputting a new search first, and then test with users and see if we still have issues before editing a default control or creating a custom UI.

Oh it should be noted though that it's possible to clear out the search on Google maps (iOS app)

JMinor changed the task status from Open to Stalled.May 9 2017, 6:47 PM
JMinor lowered the priority of this task from High to Low.May 24 2017, 6:03 PM
JMinor closed this task as Invalid.Mar 15 2018, 8:38 PM

We're gonna redo search bar consistency anyway, so closing this older ticket.